ubuntu/+source/hplip:applied/debian/lenny

Last commit made on 2009-01-17
Get this branch:
git clone -b applied/debian/lenny https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/lenny
Repository:
lp:ubuntu/+source/hplip

Recent commits

0fcf3d8... by Mark Purcell on 2009-01-15

Import patches-applied version 2.8.6.b-4 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: d3acc45e33d10f6116ab63628f40f809f00a75cf
Unapplied parent: 0aeaa894519e82ede9de5db1fb1454c7ff76418c

New changelog entries:
  * Fix "hp-scan: Aborts with a traceback when trying to scan."
    - Apply missing patches from -3 upload (Closes: #490640)

0aeaa89... by Mark Purcell on 2009-01-15

Import patches-unapplied version 2.8.6.b-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a9a35f32618e60c57bc696afaae205efa77f1358

New changelog entries:
  * Fix "hp-scan: Aborts with a traceback when trying to scan."
    - Apply missing patches from -3 upload (Closes: #490640)

d3acc45... by Mark Purcell on 2008-10-15

Import patches-applied version 2.8.6.b-3 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 5924a6ea151764738fbc1b59353d8462aa31bb10
Unapplied parent: a9a35f32618e60c57bc696afaae205efa77f1358

New changelog entries:
  * hplip Replaces hplip-gui (<< 2.8.6.b-2)
    - File conflict with hplip-gui (Closes: #502055)
  * Apply patch (faulty scanext.so) from dwelsh
    - hp-scan: Aborts with a traceback when trying to scan.
    hplip-2.8.6-hp_scan_link.dpatch (Closes: #490640)
  * Sync Ubuntu patches & changes:
      debian/patches/pdf_printing_support.dpatch
      debian/patches/pjl-duplex-binding.dpatch
      debian/patches/kde4-kdesudo-support.dpatch
      debian/patches/bugs-in-generated-ppds.dpatch
    - Exclude /usr/share/hplip/install.py
    - hplip-gui requires one of "gksu", "kdesu", and "kdesudo"
    - debian/rules: Add *cupsFilter lines for PDF input
  * unused-override debian/{hpijs,hplip-data}.lintian
  * Lintian cleanup:
  * hpijs-ppds Depends: hpijs - lintian:stronger-dependency-implies-weaker
  * Update 14_charsign_fixes.dpatch
    - lintian:dpatch-missing-description
  * hplip.NEWS & hpijs-ppds.NEWS - lintian:syntax-error-in-debian-news-file
  * hplip-data Depends: python - perhaps should be called hplip-common?
    - lintian:python-script-but-no-python-dep
  * -x colorcal4form_base.ui distros.dat executable-not-elf-or-script
  * Ship small .xpm with hplip not -gui package
    - lintian:menu-icon-missing
  * hplip.lintian libhpip0 & libhpmud0 - not shared libs internal only
    - lintian:package-name-doesnt-match-sonames
  * Update debian/hplip-doc.doc-base
    - lintian:doc-base-abstract-might-contain-extra-leading-whitespaces
  * hplip-doc.doc-base Section: System/Administration
    - lintian:doc-base-unknown-section
  * Cleanup hplip.lintian - linitan:unused-override
  * Cleanup *.desktop - lintian:desktop-entry-contains-encoding-key
  * Fixup hplip/presubj lintian:executable-not-elf-or-script
  * Add URL to hp-makeuri-uri-only-output.dpatch Description ##DP
  * Other issues:
  * Enable GNU/kFreeBSD builds - thanks Petr Salinger
    - FTBFS on GNU/kFreeBSD (fixup of debian/rules needed) (Closes:
    #497625)
  * Fixup hpojs-ppds.postinst s/cupsys/cups/ - thanks Michael Wagner
    - postinst invokes cupsys instead of cups (Closes: #498156)
  * Really apply hp-makeuri-uri-only-output.dpatch - thanks Avi Rozen
    - hp-makeuri -c does not print cups uri (Closes: #500183)

a9a35f3... by Mark Purcell on 2008-10-15

Import patches-unapplied version 2.8.6.b-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5e9736ce4393f93cf06991f3f26fc248b1c79c1f

New changelog entries:
  * hplip Replaces hplip-gui (<< 2.8.6.b-2)
    - File conflict with hplip-gui (Closes: #502055)
  * Apply patch (faulty scanext.so) from dwelsh
    - hp-scan: Aborts with a traceback when trying to scan.
    hplip-2.8.6-hp_scan_link.dpatch (Closes: #490640)
  * Sync Ubuntu patches & changes:
      debian/patches/pdf_printing_support.dpatch
      debian/patches/pjl-duplex-binding.dpatch
      debian/patches/kde4-kdesudo-support.dpatch
      debian/patches/bugs-in-generated-ppds.dpatch
    - Exclude /usr/share/hplip/install.py
    - hplip-gui requires one of "gksu", "kdesu", and "kdesudo"
    - debian/rules: Add *cupsFilter lines for PDF input
  * unused-override debian/{hpijs,hplip-data}.lintian
  * Lintian cleanup:
  * hpijs-ppds Depends: hpijs - lintian:stronger-dependency-implies-weaker
  * Update 14_charsign_fixes.dpatch
    - lintian:dpatch-missing-description
  * hplip.NEWS & hpijs-ppds.NEWS - lintian:syntax-error-in-debian-news-file
  * hplip-data Depends: python - perhaps should be called hplip-common?
    - lintian:python-script-but-no-python-dep
  * -x colorcal4form_base.ui distros.dat executable-not-elf-or-script
  * Ship small .xpm with hplip not -gui package
    - lintian:menu-icon-missing
  * hplip.lintian libhpip0 & libhpmud0 - not shared libs internal only
    - lintian:package-name-doesnt-match-sonames
  * Update debian/hplip-doc.doc-base
    - lintian:doc-base-abstract-might-contain-extra-leading-whitespaces
  * hplip-doc.doc-base Section: System/Administration
    - lintian:doc-base-unknown-section
  * Cleanup hplip.lintian - linitan:unused-override
  * Cleanup *.desktop - lintian:desktop-entry-contains-encoding-key
  * Fixup hplip/presubj lintian:executable-not-elf-or-script
  * Add URL to hp-makeuri-uri-only-output.dpatch Description ##DP
  * Other issues:
  * Enable GNU/kFreeBSD builds - thanks Petr Salinger
    - FTBFS on GNU/kFreeBSD (fixup of debian/rules needed) (Closes:
    #497625)
  * Fixup hpojs-ppds.postinst s/cupsys/cups/ - thanks Michael Wagner
    - postinst invokes cupsys instead of cups (Closes: #498156)
  * Really apply hp-makeuri-uri-only-output.dpatch - thanks Avi Rozen
    - hp-makeuri -c does not print cups uri (Closes: #500183)

5924a6e... by Mark Purcell on 2008-09-01

Import patches-applied version 2.8.6.b-1 to applied/debian/lenny

Imported using git-ubuntu import.

Unapplied parent: 5e9736ce4393f93cf06991f3f26fc248b1c79c1f

5e9736c... by Mark Purcell on 2008-09-01

Import patches-unapplied version 2.8.6.b-1 to debian/lenny

Imported using git-ubuntu import.